Skip to main content
GET
Retrieve Jobs with Invoices that belong to an Order as a specific Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Company ID

order-id
string<uuid>
required

Order ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[datagrid]
string

Search string for datagrid queries

filter[states]
array

States based on the resource (e.g. Order states or Job states)

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

filter[project_ids]
array

The associated Project IDs

filter[vendor_account_ids]
array

The associated Vendor Account IDs

filter[customer_account_ids]
array

The associated Customer Account IDs

filter[driver_ids]
array

The assigned Driver IDs

filter[material_ids]
array

The associated Material IDs

filter[pickup_site_ids]
array

The associated Pickup Site IDs

filter[dropoff_site_ids]
array

The associated Dropoff Site IDs

filter[service_ids]
array

The associated Service IDs

filter[equipment_ids]
array

The associated Equipment IDs

filter[collaborator_ids]
array

The associated Collaborator IDs

filter[salesperson_ids]
array

The associated Salesperson IDs

filter[company_ids]
array

The associated Company IDs

filter[external_ids]
string

The associated External IDs

filter[foreman_ids]
array

The associated Foreman IDs

filter[site_types]
array

SiteType enum filters (see SiteType enum for the list of values)

filter[receivable_invoice][states]
array

States based on the Receivable Invoice

filter[payable_invoice][states]
array

States based on the Payable Invoice

Response

OK

data
Job-Invoicing-Read · object[]
required